View Issue Details

IDProjectCategoryView StatusLast Update
0000163Pgpool-IIBugpublic2016-05-11 13:47
Reporterdanny_suAssigned Tot-ishii 
PriorityurgentSeverityblockReproducibilityalways
Status closedResolutionopen 
PlatformlinuxOScentosOS Version7.2
Product Version 
Target VersionFixed in Version 
Summary0000163: Connections not released if client exit ungracefully.
DescriptionIf the client app was killed by kill command, there are some connections not released when set connection_cache = on, even if I set child_life_time = 300, connection_life_time = 300 and client_idle_limit = 300, these settings doesn't work, I set log_min_messages = debug5, and can't get any information like "backend timer handler" from log.
Steps To Reproduce1) set num_init_children = 50, max_pool = 4, child_life_time = 300, connection_life_time = 300 and client_idle_limit = 300
2) create an web app with mybatis and enable connection pool(client connection pool)
3) run the web app in tomcat, make the web app has connections to pgpool, and then kill tomcat with kill -9
4) repeat step 3) many times, you will find no client can connect to pgpool any more, even after 300s.
TagsNo tags attached.

Activities

t-ishii

2016-04-07 08:00

developer   ~0000761

It's a known issue and was already fixed. Please try the latest version of pgpool-II.

t-ishii

2016-05-11 13:47

developer   ~0000805

No response from the reporter over one month. Issue closed.

Issue History

Date Modified Username Field Change
2016-01-13 16:40 danny_su New Issue
2016-04-07 07:59 t-ishii Assigned To => t-ishii
2016-04-07 07:59 t-ishii Status new => assigned
2016-04-07 08:00 t-ishii Note Added: 0000761
2016-04-07 08:01 t-ishii Status assigned => feedback
2016-05-11 13:47 t-ishii Note Added: 0000805
2016-05-11 13:47 t-ishii Status feedback => closed